---
title: Specifications (deprecating 10/31)
slug: scaleserp/search-api/searches/google/product-specifications
docTags: 
createdAt: 2024-08-03T18:00:34.680Z
---

# Google Product Specifications deprecating on 10/31

Google no longer supports individual Shopping product pages. Product information now appears within a right-hand Product Knowledge Panel when you click an item in the Shopping results. As a result, we are replacing the **Google Shopping Product Specifications&#x20;**&#x72;equest with the new [Google Product Details](docId:3hApftG7JUWBdR1Aei4ey) request, which extracts data directly from this panel. The Product Details request replaces the legacy Product, Online Sellers and Specifications requests.

# Google Product Specifications Parameters

<font color="#52c41a">`GET`</font>  `/search?search_type=product&product_type=specifications`

The Google Product Specifications Parameters are applicable when making a request with  `search_type=product`  and  `product_type=specifications`  to retrieve product specifications results for a given product ID. The product ID is specified in the  `product_id`  parameter and you should also specify a  `location`  parameter to geo-locate the request (locations can be retrieved via the [Locations API](https://docs.trajectdata.com/scaleserp/locations-api/overview)).

Google Product IDs are returned by [Google Shopping search](https://docs.trajectdata.com/scaleserp/search-api/results/google/shopping) requests.

:::hint{type="info"}
**Products & Location**
Google Product pages are highly location-sensitive so it is important that you specify a  `location`  that matches the location that was used to retrieve the  `product_id`  in the original [Google Shopping search](https://docs.trajectdata.com/scaleserp/search-api/searches/google/shopping) request.
:::

![](https://apiimages.imgix.net/scaleserp/images/png/docs/google_product_specifications.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Google Product Specifications")

For example, to request product specifications results for the product ID  `13244508647295616715`  in the location  `United States` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.scaleserp.com/search?api_key=demo&search_type=product&product_type=specifications&product_id=13244508647295616715&location=United+States
```

```curl
curl -L --get https://api.scaleserp.com/search \
-d api_key="demo" \
-d product_id="13244508647295616715" \
-d search_type="product" \
-d product_type="specifications" \
-d location="United+States"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  product_id: "13244508647295616715",
  search_type: "product",
  product_type: "specifications",
  location: "United+States"
}

// make the http GET request
axios.get('https://api.scaleserp.com"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'product_id': '13244508647295616715',
  'search_type': 'product',
  'product_type': 'specifications',
  'location': 'United+States'
}

# make the http GET request
api_result = requests.get('https://api.scaleserp.com/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'product_id' => '13244508647295616715',
  'search_type' => 'product',
  'product_type' => 'specifications',
  'location' => 'United+States'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.scaleserp.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google Product Specifications Parameters

The following parameters are available for all requests made when  `search_type=product`  and  `product_type=specifications` .

| `Parameter`     | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| --------------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `search_type`   | `required` | Should be set to `search_type=product` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `product_type`  | `required` | Should be set to `product_type=specifications` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `product_id`    | `required` | The Google Product ID to retrieve. Google Product IDs are returned by [Google Shopping search ](https://docs.trajectdata.com/scaleserp/search-api/results/google/shopping)requests.                                                                                                                                                                                                                                                                                                                              |
| `location`      | `optional` | Determines the geographic location in which the query is executed. You can enter any location as free-text, but if you choose one of the Scale SERP [built-in locations ](https://docs.trajectdata.com/scaleserp/locations-api/overview)then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location (note that this behaviour can be disabled via the `location_auto` parameter).                                         |
| `location_auto` | `optional` | If the `location` field is set to a Scale SERP [built-in location ](https://docs.trajectdata.com/scaleserp/locations-api/overview)from the [Locations API ](https://docs.trajectdata.com/scaleserp/locations-api/overview), and `location_auto` is set to `true` (default) then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location. Valid values are `true` (default) to enable this behaviour or `false` to disable. |
| `uule`          | `optional` | The Google UULE parameter - use to pass through a custom `uule` parameter to Google. Scale SERP automatically generates the `uule` when you use the `location` parameter but we allow you to overwrite it directly by specifying a `uule` directly.                                                                                                                                                                                                                                                              |
| `google_domain` | `optional` | The Google domain to use to run the search query. View the full list of supported `google_domain` values [here ](https://docs.trajectdata.com/scaleserp/search-api/reference/google-domains). Defaults to `google.com` .                                                                                                                                                                                                                                                                                         |
| `gl`            | `optional` | The `gl` parameter determines the Google country to use for the query. View the full list of supported `gl` values [here ](https://docs.trajectdata.com/scaleserp/search-api/reference/google-countries). Defaults to `us` .                                                                                                                                                                                                                                                                                     |
| `hl`            | `optional` | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/scaleserp/search-api/reference/google-languages). Defaults to `en` .                                                                                                                                                                                                                                                                                    |
| `page`          | `optional` | Determines the page of results to return, defaults to `1` .                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `max_page`      | `optional` | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/scaleserp/search-api/pagination)docs for more information.                                                                                                                                                                                                              |

***

**Next Steps**
     [Google Product Specifications Results](https://docs.trajectdata.com/scaleserp/search-api/results/google/product-specifications)
